Subject: bug#12895: closed (Re: bug#12895: Status: 24.3.50; Replacement for flet)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 31 Jan 2016 17:11:02 +0000

Your bug report

#12895: 24.3.50; Replacement for flet

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12895: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12895
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12895: Status: 24.3.50; Replacement for flet
From: Marcin Borkowski <[email-masked]>
To: [email-masked]
Date: Sun, 31 Jan 2016 18:10:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2016-01-31, at 17:51, Eli Zaretskii <[email-masked]> wrote:

>> From: Marcin Borkowski <[email-masked]>
>> Date: Sun, 31 Jan 2016 15:19:12 +0100
>> 
>> just asking: should this "bug report" (which is clearly not a bug report
>> per se) be closed?
>
> Yes, please.
>
> Thanks.

Closing (it's not a bug).

-- 
Marcin Borkowski
http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
Faculty of Mathematics and Computer Science
Adam Mickiewicz University

Subject: 24.3.50; Replacement for flet
From: Antoine Levitt <[email-masked]>
To: [email-masked]
Date: Thu, 15 Nov 2012 14:35:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm trying to dynamically bind a function, and used flet
previously. flet is now apparently obsolete. The docstring suggests
using cl-flet. But cl-flet does lexical binding, not dynamic. How do I
get the old behavior (dynamic binding) without using the now-obsolete
flet? I'm confused by the number of subtly different functions to do the
same thing - letf, flet, labels, cl-labels, cl-letf, cl-flet - and find
the docstrings to be unclear. If I understand correctly, letf is what I
need, but the following does not do what I expect it to (ie suppress the
message)

(defun something ()
  (message "hi"))

(letf ((message (lambda () (&rest args) nil)))
  (something))

Is this because message is a built-in?

Sorry if this has been covered elsewhere, I couldn't find it.

Antoine